Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037673
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Gift cards and gift vouchersmajorhave not tried2018-01-18 17:352018-08-17 13:33
ReporterkchoperenaView Statuspublic 
Assigned Tokchoperena 
PrioritynormalResolutionfixedFixed in VersionRR18Q4
StatusclosedFix in branchFixed in SCM revision3730767daa86
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037673: [SERQA 3684]: Forbid that the Anonymous Customer and a customer different from the registered on the ticket use a credit note

Description- Register OBPOS_PrePaymentSelected hook
- Add config preference GCNV_ForbidAnonymousCustomerUseCreditNote
- Add config preference GCNV_ForbidUseCreditNoteForDifferentCustomer
- Add logic to forbid make the payment or the return of the receipt using Credit note related to an anonymous customer
- Add logic to forbid make the payment or the return of the receipt using Credit note related to a customer different from the registered on the ticket
Steps To Reproduce1.- Log into the WebPOS
2.- In the menu, select 'Verified Returns' option
3.- Select a receipt related to an anonymous customer
4.- Select the credit note payment method to do the return

Expected:
5.- A popup will be shown with an information message:
'It is not allowed to create a Credit Note for an anonymous customer. Please, change the customer or the payment method'
TagsNo tags attached.
Attached Filesdiff file icon issue37673.diff [^] (13,829 bytes) 2018-08-07 12:37 [Show Content]
diff file icon AnonymousCustomerLimitationsFinalTests.diff [^] (37,822 bytes) 2018-08-07 12:38 [Show Content]
diff file icon issue37673_POSTerminal.diff [^] (1,516 bytes) 2018-08-07 13:33 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0101950)
hgbot (developer)
2018-01-25 16:30

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 5b506aa23c67f77754d50b191f226642de3f62e3
Author: Kepa Choperena <kepa.choperena <at> openbravo.com>
Date: Thu Jan 25 13:49:11 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/5b506aa23c67f77754d50b191f226642de3f62e3 [^]

Fixed issue 37673: Forbid that the Anonymous Customer and a customer different from the registered on the ticket use a credit note.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/retail/giftcards/GCNVComponentProvider.java
M web/org.openbravo.retail.giftcards/js/components/GiftCardDetails.js
A web/org.openbravo.retail.giftcards/js/hooks/afterPaymentSelectedHook.js
---
(0101977)
hgbot (developer)
2018-01-25 18:15

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 1b58d411b187ccc12a6a587ca6b9dd3b052dd56f
Author: Kepa Choperena <kepa.choperena <at> openbravo.com>
Date: Thu Jan 25 18:15:29 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/1b58d411b187ccc12a6a587ca6b9dd3b052dd56f [^]

Related to issue 37673: Forbid that the Anonymous Customer and a customer different from the registered on the ticket use a credit note.

---
M web/org.openbravo.retail.giftcards/js/components/GiftCardDetails.js
---
(0103094)
kchoperena (developer)
2018-03-08 16:39

Backout reason -> Moved to 18Q3 release
(0106173)
hgbot (developer)
2018-08-07 14:38

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8fd21ed4c30937c32944c1f0de5b468e11e73dcd
Author: Kepa Choperena <kepa.choperena <at> openbravo.com>
Date: Tue Aug 07 14:38:46 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8fd21ed4c30937c32944c1f0de5b468e11e73dcd [^]

Related to issue 37673: Added OBPOS_PrePaymentSelected hook

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0106174)
hgbot (developer)
2018-08-07 14:39

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 57e889c7cdbed1570c048b9d6238d302aa71e049
Author: Kepa Choperena <kepa.choperena <at> openbravo.com>
Date: Tue Aug 07 14:14:33 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/57e889c7cdbed1570c048b9d6238d302aa71e049 [^]

Related to issue 37673: Forbid that the Anonymous Customer and a customer different from the registered on the ticket use a credit note.
Added new development

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/retail/giftcards/GCNVComponentProvider.java
M web/org.openbravo.retail.giftcards/js/components/GiftCardDetails.js
A web/org.openbravo.retail.giftcards/js/hooks/afterPaymentSelectedHook.js
A web/org.openbravo.retail.giftcards/js/hooks/preOrderSaveHook.js
---
(0106241)
hgbot (developer)
2018-08-08 13:16

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 3730767daa869db7663fdb68ade8b030fe089288
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Wed Aug 08 13:16:00 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/3730767daa869db7663fdb68ade8b030fe089288 [^]

Fixed issue 37673: Fixed dbconsistency on AD_Message

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0106248)
hgbot (developer)
2018-08-09 08:31

Repository: tools/automation/pi-mobile
Changeset: 1165afd694bb4643eccbd67944d5a00731c0b544
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Aug 09 08:31:22 2018 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/1165afd694bb4643eccbd67944d5a00731c0b544 [^]

Related to issue 37673: [SERQA 3684]: Forbid that the Anonymous Customer and a customer different from the registered on the ticket use a credit note
New tests for issue checking

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/TestIdExtModules.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/CreateCreditNoteWithAnonymous.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/ForbidCustomerDifferentAssignedTicketUseCreditNote.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/ForbidCustomerDifferentAssignedTicketUseCreditNoteInPayOpenTickets.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/UseCreditNoteWithAnonymousCustomer.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/UseCreditNoteWithAnonymousCustomerInPayOpenTickets.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I37470_ChangeProfile.java
---
(0106282)
hgbot (developer)
2018-08-10 13:21

Repository: tools/automation/pi-mobile
Changeset: 3f0c70d69954a552178af546f5b82920456ba3b1
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Fri Aug 10 11:15:29 2018 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/3f0c70d69954a552178af546f5b82920456ba3b1 [^]

Related to issue 37673: Added test cases for Anonymous Credit Notes

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/TestIdExtModules.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
---
(0106286)
hgbot (developer)
2018-08-10 14:50

Repository: tools/automation/pi-mobile
Changeset: 80bfdabba1b65d8aef27e23b331a27e1d550ff4f
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Fri Aug 10 14:50:10 2018 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/80bfdabba1b65d8aef27e23b331a27e1d550ff4f [^]

Related to issue 37673: Added test cases for Anonymous Credit Notes

---
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/CreateCreditNoteWithAnonymous.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/ForbidCustomerDifferentAssignedTicketUseCreditNote.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/ForbidCustomerDifferentAssignedTicketUseCreditNoteInPayOpenTickets.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/UseCreditNoteWithAnonymousCustomer.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/UseCreditNoteWithAnonymousCustomerInPayOpenTickets.java
---
(0106302)
hgbot (developer)
2018-08-11 12:23

Repository: tools/automation/pi-mobile
Changeset: 64bee1d4ea7640b155b18c1334ccd205919b4d45
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Fri Aug 10 18:48:11 2018 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/64bee1d4ea7640b155b18c1334ccd205919b4d45 [^]

Related to issue 37673: Added test cases for Anonymous Credit Notes

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/TestIdExtModules.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/CreateCreditNoteWithAnonymous.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/ForbidCustomerDifferentAssignedTicketUseCreditNote.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/ForbidCustomerDifferentAssignedTicketUseCreditNoteInPayOpenTickets.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/UseCreditNoteWithAnonymousCustomer.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/UseCreditNoteWithAnonymousCustomerInPayOpenTickets.java
---
(0106303)
hgbot (developer)
2018-08-11 12:23

Repository: tools/automation/pi-mobile
Changeset: 7896cf5dd883be093684339c972c4d2eab7944c7
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Fri Aug 10 18:56:39 2018 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/7896cf5dd883be093684339c972c4d2eab7944c7 [^]

Related to issue 37673: Added test cases for Anonymous Credit Notes

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/creditnote/CreateCreditNoteWithAnonymous.java
---

- Issue History
Date Modified Username Field Change
2018-01-18 17:35 kchoperena New Issue
2018-01-18 17:35 kchoperena Assigned To => Retail
2018-01-18 17:35 kchoperena File Added: forbidAnonymousCustomerGiftCardCreationGiftCards.diff
2018-01-18 17:35 kchoperena Triggers an Emergency Pack => No
2018-01-23 13:57 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-01-23 14:35 ranjith_qualiantech_com Status new => scheduled
2018-01-23 16:13 ranjith_qualiantech_com Assigned To ranjith_qualiantech_com => kchoperena
2018-01-25 10:04 kchoperena Summary [SERQA 3684]: Forbid that the Anonymous Customer creates a credit note in verified returns => [SERQA 3684]: Forbid that the Anonymous Customer creates a credit note
2018-01-25 10:04 kchoperena Description Updated View Revisions
2018-01-25 13:28 kchoperena Summary [SERQA 3684]: Forbid that the Anonymous Customer creates a credit note => [SERQA 3684]: Forbid that the Anonymous Customer use a credit note
2018-01-25 13:48 kchoperena Summary [SERQA 3684]: Forbid that the Anonymous Customer use a credit note => [SERQA 3684]: Forbid that the Anonymous Customer and a customer different from the registered on the ticket use a credit note
2018-01-25 13:48 kchoperena Description Updated View Revisions
2018-01-25 16:30 hgbot Checkin
2018-01-25 16:30 hgbot Note Added: 0101950
2018-01-25 16:30 hgbot Status scheduled => resolved
2018-01-25 16:30 hgbot Resolution open => fixed
2018-01-25 16:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/5b506aa23c67f77754d50b191f226642de3f62e3 [^]
2018-01-25 18:15 hgbot Checkin
2018-01-25 18:15 hgbot Note Added: 0101977
2018-03-08 16:28 kchoperena Status resolved => new
2018-03-08 16:39 kchoperena Note Added: 0103094
2018-07-27 08:33 guillermogil File Deleted: forbidAnonymousCustomerGiftCardCreationGiftCards.diff
2018-07-27 08:33 guillermogil File Added: forbidAnonymousCustomerGiftCardCreationGiftCards.diff
2018-08-07 12:37 kchoperena File Deleted: forbidAnonymousCustomerGiftCardCreationGiftCards.diff
2018-08-07 12:37 kchoperena File Added: issue37673.diff
2018-08-07 12:38 kchoperena Description Updated View Revisions
2018-08-07 12:38 kchoperena File Added: AnonymousCustomerLimitationsFinalTests.diff
2018-08-07 13:33 kchoperena File Added: issue37673_POSTerminal.diff
2018-08-07 14:38 hgbot Checkin
2018-08-07 14:38 hgbot Note Added: 0106173
2018-08-07 14:39 hgbot Checkin
2018-08-07 14:39 hgbot Note Added: 0106174
2018-08-08 13:16 hgbot Checkin
2018-08-08 13:16 hgbot Note Added: 0106241
2018-08-08 13:16 hgbot Status new => resolved
2018-08-08 13:16 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/5b506aa23c67f77754d50b191f226642de3f62e3 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/3730767daa869db7663fdb68ade8b030fe089288 [^]
2018-08-09 08:31 hgbot Checkin
2018-08-09 08:31 hgbot Note Added: 0106248
2018-08-10 13:21 hgbot Checkin
2018-08-10 13:21 hgbot Note Added: 0106282
2018-08-10 14:50 hgbot Checkin
2018-08-10 14:50 hgbot Note Added: 0106286
2018-08-11 12:23 hgbot Checkin
2018-08-11 12:23 hgbot Note Added: 0106302
2018-08-11 12:23 hgbot Checkin
2018-08-11 12:23 hgbot Note Added: 0106303
2018-08-17 13:33 marvintm Review Assigned To => marvintm
2018-08-17 13:33 marvintm Status resolved => closed
2018-08-17 13:33 marvintm Fixed in Version => RR18Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker